Đến nội dung


Hình ảnh
- - - - -

[Yêu Cầu]Chuyển Dữ Liệu Excel Sang đối Tượng Table Trong Cad


  • Please log in to reply
2 replies to this topic

#1 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 10 September 2011 - 09:58 PM

Mình có 1 bảng Excel như thế này
Hình đã gửi

Lưu ý là bao gồm các cell đã MERGE
Yêu cầu viết LISP chuyển sang Table của Cad (từ Cad 2007 trở lên). Table này cũng có các Merge tương ứng
Hình đã gửi

P/S:
1. Nếu giống hệt định dạng Excel như font, color thì không gì bằng
2. Các bạn chưa giải quyết được yêu cầu này nhưng nếu biết cách dùng lisp tạo TABLE cũng xin chỉ giúp với
3. Rất nhiều Vote+ đang đợi các bạn. Thanks...
  • 0

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC

 


#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 10 September 2011 - 11:06 PM

Ctrl + C bên Excell rồi sang CAD PASTESPEC cho nó nhàn cũng được chứ sao bác ?
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 hochoaivandot

hochoaivandot

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 107 (tàm tạm)

Đã gửi 11 September 2011 - 12:06 PM

2. Các bạn chưa giải quyết được yêu cầu này nhưng nếu biết cách dùng lisp tạo TABLE cũng xin chỉ giúp với


Hochoaivandot chưa làm xong yêu cầu mình đã đưa ra. Nhưng sau 1 đêm mò, mình cũng biết cách dùng lisp tạo Table
Càng vọc cái này càng thấy hay nên mình post lên anh chị em nào quan tâm thì có thể xem:

(vl-load-com)
(defun C:vd ()
(setq *ms* (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
(setq
numofrow 6
numofcolmn 3
heightofrow 0.5
widthofcolmn 2.5
)
(setq pt1 (getpoint "\nPick point for table "))
(setq myTable (vla-AddTable *ms* (vlax-3d-point pt1) numofrow numofcolmn heightofrow widthofcolmn))
(vla-setText mytable 0 0 "Tieu de")
(vla-setText mytable 1 0 "STT")
(vla-setText mytable 1 1 "Ho va ten")
(vla-setText mytable 1 2 "So tien")
(vla-setText mytable 2 0 "1")
(vla-setText mytable 2 1 "Le A")
(vla-setText mytable 2 2 "20000")
(vla-setText mytable 3 0 "2")
(vla-setText mytable 3 1 "Duong B")
(vla-setText mytable 3 2 "30000")
(vla-setText mytable 4 0 "3")
(vla-setText mytable 4 1 "Do C")
(vla-setText mytable 4 2 "5000")
(vla-setText mytable 5 0 "Tong cong")
(vla-setText mytable 5 2 "=sum(C2:C5)")
(vlax-release-object myTable)
(vlax-release-object *ms*)
(princ)
); end defun

Còn cái yêu cầu của mình hơi không chính đáng (không thật cần thiết) nên chưa thấy nhiều sự giúp đỡ.
Chắc phải mò 1 mình rồi.
P/S: Code trên mình dùng với cad 2007 thì Ok.
Cái thèn TABLE ni có thể dùng công thức chắc có thể vận dụng tốt làm cái thống kê thép đây!
  • 2

Dương Bá Diệp

 

www.cadonline.duyxuyen.vn 

 

Thành viên nhóm CADMAGIC